Subject: [bug#61437] [PATCH] doc: contributing: Cover push frequency in the Commit Policy.

From: Christopher Baines <[email-masked]>
Date: Fri, 17 Feb 2023 18:36:01 +0000

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On sam., 11 févr. 2023 at 21:15, Christopher Baines <[email-masked]> wrote:
>
>> +Try to plan ahead and avoid pushing several times in a short time
>> +window.  This reduces the likelyhood that others working on the same
>> +branch will encounter problems when pushing.  It also reduces the load
>> +on services like @url{https://data.guix.gnu.org,data.guix.gnu.org} that
>> +process each revision that is pushed.
>
> The point is to push by batch instead of pushing several times in a row,
> right?

Pretty much, it's a balance of course as sometimes it'll be worth
pushing without much time between, but as I say there's advantages in
trying to plan ahead to reduce that.